Skip to main content
`Ctrl`+`K`

# EPSSetTarget

Sets the value of the target.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetTarget(EPS eps,PetscScalar target)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- target - the value of the target

## Options Database Key

- -eps_target <target> - the value of the target

## Notes

The target is a scalar value used to determine the portion of the spectrum of interest. It is used in combination with `EPSSetWhichEigenpairs()`.

When PETSc is built with real scalars, it is not possible to specify a complex target.

In the case of complex scalars, a complex value can be provided in the command line with `[+/-][realnumber][+/-]realnumberi` with no spaces, e.g. `-eps_target 1.0+2.0i`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetTarget()`, `EPSSetWhichEigenpairs()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

## Examples

src/eps/tutorials/ex35.c
src/eps/tutorials/ex30.c
src/eps/tutorials/ex49.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex43.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages